org.omg.CORBA

## Class ACTIVITY_COMPLETED

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.omg.CORBA.SystemException
        - - org.omg.CORBA.ACTIVITY_COMPLETED

All Implemented Interfaces:
  Serializable

    public final class ACTIVITY_COMPLETED
    extends SystemException

The `ACTIVITY_COMPLETED` system exception may be raised on any method for which Activity context is accessed. It indicates that the Activity context in which the method call was made has been completed due to a timeout of either the Activity itself or a transaction that encompasses the Activity, or that the Activity completed in a manner other than that originally requested.

Since:
  J2SE 1.5
See Also:
  documentation on Java IDL exceptions

### Field Summary

### Fields inherited from class org.omg.CORBA.SystemException

`completed, minor`

### Constructor Summary

Constructors
Constructor and Description
`ACTIVITY_COMPLETED()` Constructs an `ACTIVITY_COMPLETED` exception with minor code set to 0 and CompletionStatus set to COMPLETED_NO.
`ACTIVITY_COMPLETED(int minorCode, CompletionStatus completionStatus)` Constructs an `ACTIVITY_COMPLETED` exception with the specified minor code and completion status.
`ACTIVITY_COMPLETED(String detailMessage)` Constructs an `ACTIVITY_COMPLETED` exception with the specified message.
`ACTIVITY_COMPLETED(String detailMessage, int minorCode, CompletionStatus completionStatus)` Constructs an `ACTIVITY_COMPLETED` exception with the specified message, minor code, and completion status.

### Method Summary

### Methods inherited from class org.omg.CORBA.SystemException

`toString`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ACTIVITY_COMPLETED

    public ACTIVITY_COMPLETED()

Constructs an `ACTIVITY_COMPLETED` exception with minor code set to 0 and CompletionStatus set to COMPLETED_NO.

#### ACTIVITY_COMPLETED

    public ACTIVITY_COMPLETED(String detailMessage)

Constructs an `ACTIVITY_COMPLETED` exception with the specified message.

Parameters:
  `detailMessage` - string containing a detailed message.

#### ACTIVITY_COMPLETED

    public ACTIVITY_COMPLETED(int minorCode,
                              CompletionStatus completionStatus)

Constructs an `ACTIVITY_COMPLETED` exception with the specified minor code and completion status.

Parameters:
  `minorCode` - minor code.
  `completionStatus` - completion status.

#### ACTIVITY_COMPLETED

    public ACTIVITY_COMPLETED(String detailMessage,
                              int minorCode,
                              CompletionStatus completionStatus)

Constructs an `ACTIVITY_COMPLETED` exception with the specified message, minor code, and completion status.

Parameters:
  `detailMessage` - string containing a detailed message.
  `minorCode` - minor code.
  `completionStatus` - completion status.